# Cribbed from https://github.com/celery/celery/blob/3.1/examples/django/proj/celery.py
# this module initializes Celery when it is run using the celery command.

from __future__ import absolute_import

import os

from celery import Celery

# set the default Django settings module for the 'celery' program.
os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'worker.settings')

from django.conf import settings

app = Celery('worker')

# Using a string here means the worker will not have to
# pickle the object when using Windows.
app.config_from_object('django.conf:settings')

# given in vendor example, but not sure we need this.
# I think we should be able to reuse worker packages thru
# pure Python imports, instead of hassling with INSTALLED_APPS
#app.autodiscover_tasks(lambda: settings.INSTALLED_APPS)


